# This file created by conda-build 3.26.1
# meta.yaml template originally from:
# /home/gta/workspace/LKG/build_conda_package_pytorch_dev/conda_build/conda_recipes/xpu/torchvision/py3.8, last modified Thu Dec 21 15:27:53 2023
# ------------------------------------------------

package:
  name: torchvision
  version: 0.16.0
source:
  path: /home/gta/workspace/LKG/build_conda_package_pytorch_dev/conda_build/conda_recipes/xpu/torchvision
build:
  number: '0'
  preserve_egg_dir: true
  script: /home/gta/anaconda3/conda-bld/torchvision_1703172478701/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install --no-deps /home/gta/binaries/torchvision-0.16.0a0+cxx11.abi-cp38-cp38-linux_x86_64.whl
  skip: false
  string: py38_xpu_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hb9a14ef_9
    - ca-certificates 2023.7.22 hbcca054_0
    - intelpython 2024.0.0 0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.44.0 h2797004_0
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - libuuid 2.38.1 h0b41bf4_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.1.4 hd590300_0
    - pip 23.3.1 pyhd8ed1ab_0
    - python 3.8.16 hef7c979_20
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - wheel 0.41.3 pyhd8ed1ab_0
    - xz 5.2.8 h5eee18b_0
  run:
    - __glibc >=2.17,<3.0.a0
    - libgcc-ng >=12
    - libjpeg-turbo >=2.1.5.1,<3.0a0
    - libpng >=1.6.39,<1.7.0a0
    - libstdcxx-ng >=12
    - numpy
    - pillow >=5.3.0,!=8.3.0,!=8.3.1
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - pytorch=2.1.0=py38_xpu_0
    - requests
test:
  imports:
    - torchvision
    - torchvision.datasets
    - torchvision.transforms
  requires:
    - requests
    - scipy
about:
  home: https://github.com/pytorch/vision
  license: BSD
  license_file: LICENSE
  summary: image and video datasets and models for torch deep learning
extra:
  copy_test_source_files: true
  final: true
